{"swagger":"2.0","info":{"version":"1.0","title":"04 - ODF - OAA ATP Details - Available ATP Quantities","description":"# 1. Overview\nThings that the developers should know about\n\n# 1.1 Description\n   Shows available real-time ATP quantities per sales channel, article, and DC\n\n# 1.2 oData name\n  REST API on Netweaver\n\n# 1.3 Name for KONG\n  OAA\n\n\n# 2. DEV\n# 2.1 URL HCD (DEV)\n  http://pvhdca00.pvhcorp.com:8080/sap/car/rest/zeuoaa/availability\n\n\n\n# 2.2 Upstream URL of consuming application DEV\n  https://e700232-tmn.hci.eu2.hana.ondemand.com  ( IP range : 157.133.70.0/24, 157.133.205.0/24 and 157.133.206.0/24)\n  \n\n# 2.3 Status KONG\n  \n  no DEV environment on KONG, not published\n\n\n# 3. QAS\n# 3.1 URL HCQ (QAS)\n  http://pvhqca00.pvhcorp.com:8080/sap/car/rest/zeuoaa/availability\n  \n\n# 3.2 Upstream URL of consuming application QAS\n\n  @Ranjith: add here upstream URL of CPI Q\n\n# 3.3 Status KONG\n\n  published\n  \n# 3.4 KONG API\n  https://api-beta.pvhcorp.com/v1/OAA\n\n\n  \n# 4. PROD\n# 4.1 URL HCP\n  http://pvhpca00.pvhcorp.com:8080/sap/car/rest/zeuoaa/availability\n  \n\n\n# 4.2 Upstream URL of consuming application PROD\n  https://l700523-tmn.hci.eu2.hana.ondemand.com  ( IP range : 157.133.70.0/24, 157.133.205.0/24 and 157.133.206.0/24)\n  \n  \n# 4.3 Status KONG\n\n  not published\n\n\n# 4.4 Expected volume for PROD\n\n  less than 1000 calls per day\n\n\n# 5. Authentication\n  What is the preferred way of using the API? \n  \n  BASIC\n  (with a HANA-User and custom PW)\n\n\n# 6. Error Codes\n  What errors and status codes can a user expect? \n  \n  # 6.1 HTTP-Code 200\n  no errors\n  \n  # 6.2 other HTTP-Codes (especially 4xx and 5xx codes)\n  errors in accordance with HTTP-standards\n  \n  # 6.3 Further information in response\n  \n    # 6.3.1 Model\n    \n      odata.error{\n    error  odata.error.main{\n      code  string\n      message  odata.error.message{\n      lang  string\n      value  string\n    }\n    innererror  {\n      description:  \n      The contents of this object are service-defined\n        }\n      }\n    }\n\n\n    # 6.3.2 Example\n    \n       {\n      \"error\": {\n        \"code\": \"string\",\n          \"message\": {\n          \"lang\": \"string\",\n          \"value\": \"string\"\n          }\n          }\n        }\n\n    \n  \n\n# 7. Rate limit\n  Is there a limit to the number of requests an user can send? \n  Not defined\n\n# 8. Example URL \n\n  QAS:\n\n  All articles with last calculation timestamp greater 2019-08-27 00:00:00 for sales channel 10000 (Tommy Hilfiger Webshop) (Delta-Mode)\n\n  http://pvhqca00.pvhcorp.com:8080/sap/car/rest/zeuoaa/availability?q=*&sap-client=300&salesChannel=10000&lastCalcTimestamp=20190827000000\n  \n# 9. PVH sign-in\n  https://api-beta.pvhcorp.com/v1/OAA","contact":{}},"host":"pvhpca00.pvhcorp.com:8080","basePath":"/sap/car/rest/zeuoaa","securityDefinitions":{"auth":{"type":"basic"}},"schemes":["http"],"consumes":["application/json"],"produces":["application/json"],"paths":{"/availability":{"get":{"summary":"Get OAA Details - Available Quantities per Sales Channel","tags":["Misc"],"operationId":"GetOAADetails-AvailableQuantitiesperSalesChannel","deprecated":false,"produces":["application/json"],"parameters":[{"name":"q","in":"query","required":true,"type":"string","description":""},{"name":"salesChannel","in":"query","required":true,"type":"integer","format":"int32","description":""}],"responses":{"200":{"description":"","headers":{}}}}}},"security":[{"auth":[]}],"tags":[{"name":"Misc","description":""}]}